<script lang="ts">
    import type { PageData } from './$types';

    let { data }: { data: PageData } = $props();
</script>

<h1>Fitbit Sync</h1>

<form method="POST" action="?/fitbit">
    <button>{data.user?.fitbitAuth?.length ? 'Reconnect' : 'Connect'} Fitbit</button>
</form>